Subject: Re: [net-next RFC PATCH 2/6] net: phy: fill phy_id with C45 PHY

From: "Russell King (Oracle)" <[email-masked]>
Date: Sun, 18 Feb 2024 19:35:30 +0000

On Sun, Feb 18, 2024 at 08:00:28PM +0100, Christian Marangi wrote:
> With C45 PHYs that provide PHY ID in C45 Package regs, PHY device
> .phy_id is not filled.

Intentionally so. Clause 45 PHYs don't have a single ID. Marvell
88X3310 is a case in point - there are at least two different vendor
IDs in this PHY.

Trying to squash Clause 45 PHY IDs down to a single identifier is
not sensible.

-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 80Mbps down 10Mbps up. Decent connectivity at last!